CPOW(3)

NAME
cpow, cpowf, cpowl - complex power function

SYNOPSIS
#include <complex.h>

double complex cpow(double complex x, complex double z);

float complex cpowf(float complex x, complex float z);

long double complex cpowl(long double complex x, complex long double z);

Link with -lm.

DESCRIPTION
The function calculates x raised to the power z. (With a branch cut for x along the negative real axis.)

CONFORMING TO
C99

SEE ALSO
cabs(3), pow(3), complex(5)